none
Visual Studio 2015 Pro не поддерживает .vcxproj RRS feed

  • Вопрос

  • При попытке создать какой-либо проект C++ выскакивает ошибка, в которой говорится, что .vcxproj не поддерживается и нужно использовать другую версию приложения. Всё лицензионное, система чистая (вчера ставил). 
    4 ноября 2016 г. 18:33

Ответы

  • Возможно, Вы снимаете галочки у компонентов, от которых зависит этот (Windows SDK, например)? Что отмечено ниже?

    Если сообщение помогло Вам, пожалуйста, не забудьте отметить его как ответ данной темы. Удачи в программировании!


    • Изменено kosuke904 5 ноября 2016 г. 8:58
    • Помечено в качестве ответа Влад Милоста 7 ноября 2016 г. 9:17
    5 ноября 2016 г. 8:57

Все ответы

  • Да, выбирал. Только что ещё раз проверил. Всё установлено. Ошибка осталась.
    4 ноября 2016 г. 20:41
  • Всё установлено.
    Это все, как говорят юристы, "слово против слова" :). Раз уж Вы умеете размещать скриншоты, покажите, окно выбора компонентов программы установки VS для того, чтобы отпали все лишние вопросы.

    Если сообщение помогло Вам, пожалуйста, не забудьте отметить его как ответ данной темы. Удачи в программировании!

    4 ноября 2016 г. 21:49
  • Кажется, благодаря вам, нашёл проблему, но не знаю как исправить. На скриншоте виден компонент, который не устанавливается. Ставлю галочку и запускаю установку, установщик говорит, что всё хорошо, но после повторного открытия инсталятора этот пункт опять не выбран. 
    5 ноября 2016 г. 8:45
  • Возможно, Вы снимаете галочки у компонентов, от которых зависит этот (Windows SDK, например)? Что отмечено ниже?

    Если сообщение помогло Вам, пожалуйста, не забудьте отметить его как ответ данной темы. Удачи в программировании!


    • Изменено kosuke904 5 ноября 2016 г. 8:58
    • Помечено в качестве ответа Влад Милоста 7 ноября 2016 г. 9:17
    5 ноября 2016 г. 8:57
  • Сейчас не могу сказать, так как запустил исправление в инсталяторе. Вдруг поможет. VS срочно нужна. Как только смогу, выложу скрин. А Вы не могли бы выложить список всех компонентов, нужных для C++?
    5 ноября 2016 г. 9:05
  • Проблема решена. По какой-то немыслимой причине этот компонент устанавливался в папку ProgramFiles вместо папки ProgramFiles(x86). Удалил неверную папку установки и после повторной установки компонента всё заработало. Спасибо.
    5 ноября 2016 г. 12:37
  • Проблема решена.
    В таком случае тему нужно закрыть, отметив наиболее подходящее на Ваш взгляд сообщение в качестве ответа.

    Если сообщение помогло Вам, пожалуйста, не забудьте отметить его как ответ данной темы. Удачи в программировании!

    5 ноября 2016 г. 18:36